import request from '@/utils/request'
const customerApi = {
  page: '/customer/customer/pageByNameAndMobile',
  del: '/customer/customer/delete',
  add: '/customer/customer/add',
  update: '/customer/customer/update',
  get: '/customer/customer/getById',
  updateStatus: '/customer/customer/updateStatus',
  getCategoryList: '/customer/customerCategory/listCategoryByName',
  listCustomer: '/customer/customer/listByNameAndMobile'
}

export function customerAdd (params) {
  return request({
    url: customerApi.add,
    method: 'post',
    data: params
  })
}
export function customerGet (params) {
  return request({
    url: customerApi.get,
    method: 'post',
    data: params
  })
}
export function customerUpdate (params) {
  return request({
    url: customerApi.update,
    method: 'post',
    data: params
  })
}
export function customerDelete (params) {
  return request({
    url: customerApi.del,
    method: 'post',
    data: params
  })
}
export function customerPage (params) {
  return request({
    url: customerApi.page,
    method: 'post',
    data: params
  })
}
export function customerUpdateStatus (params) {
  return request({
    url: customerApi.updateStatus,
    method: 'post',
    data: params
  })
}
export function categoryTypeList (params) {
  return request({
    url: customerApi.getCategoryList,
    method: 'post',
    data: params
  })
}
export const genderMap = {
  'MALE': '男',
  'FEMALE': '女'
}
export const deliverTypeMap = {
  'SELF': '自提',
  'LOGISTICS': '发物流',
  'DESIGNATED_PLACE': '送指定点',
  'AUTO_CAR': '送车'
}
export function listCustomer (params) {
  return request({
    url: customerApi.listCustomer,
    method: 'post',
    data: params
  })
}
