import request from '@/utils/request'

const resourceApi = {
  add: '/security/resource/add',
  get: '/security/resource/get',
  update: '/security/resource/update',
  del: '/security/resource/delete',
  updateStatus: '/security/resource/updateStatus',
  list: '/security/resource/listByParentId',
  listByUser: '/security/url/listByUser',
  listAllResource: '/security/resource/listAllResource',
  resourceByRoleId: '/security/resource/listAllResourceByRoleId',
  listResourceByUser: '/security/resource/listResourceByLoginUser',
  resourceByFunctionId: '/security/resource/listAllResourceByFunctionId'
}

export function resourceAdd (params) {
  return request({
    url: resourceApi.add,
    method: 'post',
    data: params
  })
}
export function resourceGet (params) {
  return request({
    url: resourceApi.get,
    method: 'post',
    data: params
  })
}
export function resourceUpdate (params) {
  return request({
    url: resourceApi.update,
    method: 'post',
    data: params
  })
}
export function resourceDelete (params) {
  return request({
    url: resourceApi.del,
    method: 'post',
    data: params
  })
}
export function resourceList (params) {
  return request({
    url: resourceApi.list,
    method: 'post',
    data: params
  })
}
export function resourceListByUser (params) {
  return request({
    url: resourceApi.listByUser,
    method: 'post',
    data: params
  })
}
export function resourceAll () {
  return request({
    url: resourceApi.listAllResource,
    method: 'post'
  })
}
export function resourceUpdateStatus (params) {
  return request({
    url: resourceApi.updateStatus,
    method: 'post',
    data: params
  })
}
export function resourceByRoleId (params) {
  return request({
    url: resourceApi.resourceByRoleId,
    method: 'post',
    data: params
  })
}
export function listResourceByUser (params) {
  return request({
    url: resourceApi.listResourceByUser,
    method: 'post',
    data: params
  })
}
export function resourceByFunctionId (params) {
  return request({
    url: resourceApi.resourceByFunctionId,
    method: 'post',
    data: params
  })
}
