import request from '@/utils/request'

const userApi = {
  login: '/login',
  logout: '/security/user/logout',
  add: '/security/user/add',
  get: '/security/user/getById',
  update: '/security/user/update',
  del: '/security/user/delete',
  page: '/security/user/page',
  updateEnabled: '/security/user/updateEnabled',
  getListByOrgId: '/security/user/getListByOrgId',
  getUserInfo: '/security/user/get'
}

const userPasswordApi = {
  set: '/security/user/password/set',
  update: '/security/user/password/update',
  send: '/security/user/sendSecuritycode',
  setById: '/security/user/password/setByUserId'
}

export function userLogin (params) {
  return request({
    url: userApi.login,
    method: 'post',
    data: params
  })
}

export function userAdd (params) {
  return request({
    url: userApi.add,
    method: 'post',
    data: params
  })
}
export function userGet (params) {
  return request({
    url: userApi.get,
    method: 'post',
    data: params
  })
}
export function userUpdate (params) {
  return request({
    url: userApi.update,
    method: 'post',
    data: params
  })
}
export function userDelete (params) {
  return request({
    url: userApi.del,
    method: 'post',
    data: params
  })
}
export function userPage (params) {
  return request({
    url: userApi.page,
    method: 'post',
    data: params
  })
}
export function userUpdateEnabled (params) {
  return request({
    url: userApi.updateEnabled,
    method: 'post',
    data: params
  })
}
export function userPasswordSet (params) {
  return request({
    url: userPasswordApi.set,
    method: 'post',
    data: params
  })
}
export function userPasswordSetById (params) {
  return request({
    url: userPasswordApi.setById,
    method: 'post',
    data: params
  })
}
export function getListByOrgId (params) {
  return request({
    url: userApi.getListByOrgId,
    method: 'post',
    data: params
  })
}
export function getUserInfo (params) {
  return request({
    url: userApi.getUserInfo,
    method: 'post',
    data: params
  })
}
