import storage from 'store'
import { get } from '@/api/security/accessToken'
import { ACCESS_TOKEN } from '@/store/mutation-types'

const accessToken = {
  state: {
    accessToken: ''
  },
  mutations: {
    SET_ACCESS_TOKEN: (state, accessToken) => {
      state.accessToken = accessToken
    }
  },
  actions: {
    GetAccessToken ({ commit }) {
      return new Promise((resolve, reject) => {
        get({
          apiKey: process.env.VUE_APP_API_KEY,
          apiSecret: process.env.VUE_APP_API_SECRET
        }).then(response => {
          const result = response.data
          storage.set(ACCESS_TOKEN, result, 24 * 60 * 60 * 1000)
          commit('SET_ACCESS_TOKEN', result)
          resolve()
        }).catch(error => {
          reject(error)
        })
      })
    },
    InitAccessToken ({ commit }) {
      const token = storage.get(ACCESS_TOKEN)
      if (token) {
        commit('SET_ACCESS_TOKEN', token)
        return
      }
      return new Promise((resolve, reject) => {
        get({
          apiKey: process.env.VUE_APP_API_KEY,
          apiSecret: process.env.VUE_APP_API_SECRET
        }).then(response => {
          const result = response.data
          storage.set(ACCESS_TOKEN, result, 24 * 60 * 60 * 1000)
          commit('SET_ACCESS_TOKEN', result)
          resolve()
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}

export default accessToken
