import moment from 'moment'
import ExportJsonExcel from 'js-export-excel'
import JSZip from 'jszip'
import { saveAs } from 'file-saver'

export function exportExcel (name, exportData) {
  var option = {}
  var toExcel = {}
  option.fileName = name + moment().format('YYYYMMDDHHmmss')
  option.datas = [{
    sheetData: exportData.sheetData,
    sheetName: name,
    sheetFilter: exportData.sheetFilter,
    sheetHeader: exportData.sheetHeader,
    columnWidths: [20, 20]
  }]
  toExcel = new ExportJsonExcel(option)
  toExcel.saveExcel()
}
export function exportExcelZip (name, exportPageData) {
    var zip = new JSZip()
    exportPageData.forEach((item) => {
      var option = {}
      var toExcel = {}
      option.fileName = name + item.pageNo
      option.saveAsBlob = true
      option.datas = [{
        sheetData: item.sheetData,
        sheetName: name + item.pageNo,
        sheetFilter: item.sheetFilter,
        sheetHeader: item.sheetHeader,
        columnWidths: item.columnWidths
      }]
      toExcel = new ExportJsonExcel(option)
      var file = toExcel.saveExcel()
      zip.file(file.name, file)
    })
    zip.generateAsync({
      type: 'blob'
    }).then(function (content) {
      // see FileSaver.js
      saveAs(content, name + moment().format('YYYYMMDDHHmmss') + '.zip')
    })
}
